Bill import progress
GET
/api/app/bill-import/status/{batchId}
const url = 'https://test.unipay.co.zw/api/app/bill-import/status/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://test.unipay.co.zw/api/app/bill-import/status/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”batchId
required
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
batchId
string format: uuid
status
integer format: int32
totalRows
integer format: int32
processedRows
integer format: int32
successCount
integer format: int32
alreadyExistsCount
integer format: int32
updatedCount
integer format: int32
blockedCount
integer format: int32
failureCount
integer format: int32
pendingRows
integer format: int32
creationTime
string format: date-time
completedAt
string format: date-time
Example
{ "status": 0}Bad Request
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}Unauthorized: token missing, invalid or expired. Empty body.
Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)
Not found: wrong path. Empty body.
Internal Server Error
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions